#!/usr/bin/python

################################################################
#                                                              #
# Pcapteller - A packet manipulation & replay tool             #
# written by Juan J. Guelfo @ Encripto AS                      #
# post@encripto.no                                             #
#                                                              #
# Copyright 2015 Encripto AS. All rights reserved.             #
#                                                              #
# Pcapteller is licensed under the FreeBSD license.            #
# http://www.freebsd.org/copyright/freebsd-license.html        #
#                                                              #
################################################################

import tellerout, httplib


def check_for_updates(version):
    try:
        http_conn = httplib.HTTPSConnection("www.encripto.no", 443, timeout=10)
        headers = { "User-Agent" : "Mozilla/5.0 (compatible; Pcapteller/" + version + ")"}
        http_conn.request("HEAD", "/tools/pcapteller-" + version + ".tar.gz", None, headers)
        http_resp = http_conn.getresponse()

        if http_resp.status == 404:
            tellerout.print_ok("There is a new version of Pcapteller!")
            tellerout.print_ok("Check https://www.encripto.no/tools for more information.\n")

        elif http_resp.status == 200:
            tellerout.print_info("You are running the latest version of Pcapteller.\n")

        else:
            tellerout.print_warning("Could not check for updates...\n")

        http_conn.close()

    except:
        tellerout.print_warning("Could not check for updates...\n")

    return